<?php

$settings = get_option(self::$prefix . 'settings');

// Default values

if ($settings === false) {
	$settings = self::$default;
}

// Save data and check nonce

if (isset($_POST['submit']) && check_admin_referer(self::$prefix . 'admin_settings')) {

	$settings = array(
		'bitly'				=> isset($_POST[self::$prefix_dash . 'bitly']) ? sanitize_text_field($_POST[self::$prefix_dash . 'bitly']) : '',
		'twitter_username'	=> isset($_POST[self::$prefix_dash . 'twitter-username']) ? sanitize_text_field($_POST[self::$prefix_dash . 'twitter-username']) : '',
	);

	update_option(self::$prefix . 'settings', $settings);
}

include_once(NNROBOTS_QUOTABLES_PLUGIN_DIR . 'admin/views/settings.php');